#include <bits/stdc++.h>
#define int long long
using namespace std;
int n;
int kq;
int t;
main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    if (fopen("demcap.inp", "r"))
    {
        freopen("demcap.inp", "r", stdin);
        freopen("demcap.out", "w", stdout);
    }
    cin>>n;
    int k=n/2;
    if(n%2==0)
        cout<<k*k-k;

    else
        cout<<k*k;
}
